Name: javacc
Version: 4.0
Release: alt1

%def_disable check

Summary: Java Compiler Compiler
Group: Development/Java
License: Sun Binary Code License
Url: http://javacc.dev.java.net/

%define pkgdocdir %_docdir/%name-%version

Source0: %name-%{version}src.tar.bz2
Patch0: %name-4.0-build.patch

BuildArch: noarch

BuildPreReq: rpm-build-java

BuildRequires: /proc
BuildRequires: ant j2se-devel

%if_enabled check
BuildRequires: ant-junit junit
%endif

%description
Java Compiler Compiler (JavaCC) is the most popular parser generator
for use with Java applications. A parser generator is a tool that reads
a grammar specification and converts it to a Java program that can
recognize matches to the grammar. In addition to the parser generator
itself, JavaCC provides other standard capabilities related to parser
generation such as tree building (via a tool called JJTree included with
JavaCC), actions, debugging, etc.

%package manual
Summary: Manual for %name
Group: Development/Other

%description manual
Documentation for %name.

%package demo
Summary: Demo for %name
Group: Development/Other
Requires: %name = %version-%release

%description demo
Demonstrations and samples for %name.

%prep
%setup -q -n javacc
%patch0 -p1

%build
%ant_build jar

%if_enabled check
%ant_build -Djunit.jar=%_javadir/junit.jar test
%endif

%install
mkdir -p %buildroot{%_javadir,%_bindir}
for s in javacc jjdoc jjtree; do
    install -m755 /dev/null %buildroot%_bindir/$s
    cat >%buildroot%_bindir/$s <<EOF
#!/bin/sh

exec java -classpath %_javadir/javacc.jar $s "\$@"
EOF
done

install -p -m644 bin/lib/%name.jar %buildroot%_javadir/%name.jar

install -d -m755 %buildroot%pkgdocdir
install -p -m644 LICENSE %buildroot%pkgdocdir/
cp -a www/* %buildroot%pkgdocdir/
cp -a examples %buildroot%pkgdocdir/

%files
%pkgdocdir/LICENSE
%_bindir/*
%_javadir/*

%files manual
%pkgdocdir/doc
%pkgdocdir/*.html

%files demo
%pkgdocdir/examples

%changelog
* Fri Mar 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 4.0-alt1
- 4.0
- Use macros from rpm-build-java
- Patch0: set target version for javac

* Tue Sep 09 2003 Mikhail Zabaluev <mhz@altlinux.ru> 3.2-alt1
- Released for ALT Linux
